import asyncio

from broadie.factory import create_agent

simple_agent = create_agent(
    name="simple_helper",
    instruction="Be a helpful assistant, you receive a user message and respond appropriately. do not self talk",
)

if __name__ == "__main__":

    async def main():
        user_message = "Hello, can you help me with something?"
        response = await simple_agent.run(user_message)
        print(response)

    asyncio.run(main())
